# -*- rpm-spec -*-
Summary:        MCViNE data files
Name:           mcvine-resources
Version:        1.0.1
Release:        0
License:        BSD
Group:          Development/Tools
Source:         mcvine-resources-1.0.1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	cmake > 2.6
BuildRequires:	make

%description
MCViNE data files

%define prefix /opt/danse
%define rpmprefix $RPM_BUILD_ROOT%{prefix}
%define srcdirname %{name}-%{version}

%prep
%setup -q -n %{srcdirname}

%build
cd ..
rm -rf build_tree
mkdir build_tree
cd build_tree
cmake -DCMAKE_INSTALL_PREFIX=%{rpmprefix} -DDEPLOYMENT_PREFIX=%{prefix} ../%{srcdirname}
make

%install 
cd ../build_tree
make install

%clean
cd ..
rm -rf %{srcdirname}
rm -rf build_tree

%files
%defattr(-,root,root,-)
%{prefix}/share/*

%changelog
